Bug 108976 - [MAINTAINER] mail/MailScanner: update to 4.58.9
Summary: [MAINTAINER] mail/MailScanner: update to 4.58.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-02-09 13:40 UTC by Jan-Peter Koopmann
Modified: 2007-02-10 13:00 UTC (History)
0 users

See Also:


Attachments
MailScanner-4.58.9_1.patch (15.23 KB, patch)
2007-02-09 13:40 UTC, Jan-Peter Koopmann
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan-Peter Koopmann 2007-02-09 13:40:29 UTC
- Update to 4.58.9

1/2/2007 New in Version 4.58.9-1
=================================
* New Features and Improvements *
1 Added accessor functions to Config.pm to enable implementation of ruleset
  evaluation within a Custom Function.
4 New example Custom Function to show how to evaluate a ruleset from within
  a Custom Function.
5 Checks the SA cache more intelligently now, to use the required score from
  the right message always. Thanks to Olaf.Ohlenmacher@colt.net for this.
5 Supporting code for BarricadeMX. If you haven't got this superb package
  yet, contact Fort Systems (www.fsl.com) for an evaluation licence RIGHT NOW!
  It's superb, and even runs on Windows with Exchange, in addition to all
  the other platforms normally supported. Say goodnight to all your spam
  problems. It will reduce the load on your mail servers so much that you
  won't be needing any upgrades for a few years, which will save you a
  whole load of money!
5 "MailScanner --lint" now checks the version number of the MailScanner.conf
  file to ensure you are not behind with your settings and need to run
  upgrade_MailScanner_conf.
6 Improvement to check_MailScanner script so it prints Done or Failed as
  appropriate.
7 Mail sent out to split mail queues will only be picked up when the MTA
  next scans the queue. This problem will be rectified in the next release.
  I didn't want to change the code so close to the release date, I will fix
  it very soon. This does not affect the vast proportion of users.
7 Okay, I've changed my mind. The new code is in for testing.
8 Mail sent out to multiple mail queues will all cause the MTA to be
  "kicked" into knowing there are new messages in the outgoing queue
  waiting to be delivered.
8 Added new configuration option
  "Notify Senders Of Blocked Size Attachments = no".
  This is to stop notifying senders of 0-length files which are generated
  by some broken viruses and worms. It does also control sender notifications
  for other sizes of attachments that are outside your pre-set limits set
  in other configuration options.
9 Added setting of TMPDIR shell variable so that SpamAssassin will store
  all its temporary files in tmpfs (under /dev/shm) to speed it up a bit.

* Fixes *
1 Small addition to Config.pm for one customer.
2 Don't use 4.58.1, bug introduced in Config.pm.
4 Bug fixed where {Fraud?} Subject: tag would not appear when appropriate.
5 Fixed bug in Exim delivery code that would leave stray defunct processes
  lying around in some situations.
5 Now kicks Sendmail/whatever about all messages in all outgoing queues.
5 MCP doesn't pick up sa-update rules any more. Thanks to Jason Desai.
5 AVG7 support improved.
6 Bug fixed where 1 disarmed message followed by another 1 non-disarmed
  message would cause the 2nd message to be tagged disarmed in the Subject:
  line, but only if the message batch would be processed in exactly 1
  particular order.
6 Fixed bug with extra "Disarmed" tags where there shouldn't be.
8 Postfix support for split queue kicking fixed. Sendmail support working well.
8 Fixed potential DoS attack bug with very long headers in ZMailer support.
  Patch from Leonardo Helman.


Added file(s):
- files/mailscanner.in
- files/mta.in

Removed file(s):
- files/mailscanner.sh.in
- files/mta.sh.in

Generated with FreeBSD Port Tools 0.63
Comment 1 Martin Wilke freebsd_committer 2007-02-09 13:53:52 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2007-02-10 12:56:51 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2007-02-10 12:56:56 UTC
miwi        2007-02-10 12:56:37 UTC

  FreeBSD ports repository

  Modified files:
    mail/mailscanner     Makefile distinfo pkg-plist 
    mail/mailscanner/files CHANGES.port 
  Added files:
    mail/mailscanner/files mailscanner.in mta.in 
  Removed files:
    mail/mailscanner/files mailscanner.sh.in mta.sh.in 
  Log:
  - Update to 4.58.9
  
  PR:             108976
  Submitted by:   Jan-Peter Koopmann <j.koopmann@seceidos.de> (maintainer)
  
  Revision  Changes    Path
  1.59      +4 -3      ports/mail/mailscanner/Makefile
  1.41      +3 -3      ports/mail/mailscanner/distinfo
  1.13      +6 -0      ports/mail/mailscanner/files/CHANGES.port
  1.1       +43 -0     ports/mail/mailscanner/files/mailscanner.in (new)
  1.4       +0 -43     ports/mail/mailscanner/files/mailscanner.sh.in (dead)
  1.1       +151 -0    ports/mail/mailscanner/files/mta.in (new)
  1.5       +0 -158    ports/mail/mailscanner/files/mta.sh.in (dead)
  1.33      +4 -1      ports/mail/mailscanner/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"